### Property

# Adw Flap:fold-threshold-policy

deprecated: 1.4

#### Declaration

    property fold-threshold-policy: Adw.FoldThresholdPolicy [ read, write ]

#### Description [src]

Determines when the flap will fold.

If set to `ADW_FOLD_THRESHOLD_POLICY_MINIMUM`, flap will only fold when the children cannot fit anymore. With `ADW_FOLD_THRESHOLD_POLICY_NATURAL`, it will fold as soon as children don’t get their natural size.

This can be useful if you have a long ellipsizing label and want to let it ellipsize instead of immediately folding.

Type:`AdwFoldThresholdPolicy`

Deprecated since: 1.4

See the migration guide

Default value | ADW_FOLD_THRESHOLD_POLICY_MINIMUM
Getter method | `adw_flap_get_fold_threshold_policy()`
Setter method | `adw_flap_set_fold_threshold_policy()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no